FROM archlinux

#Update
RUN pacman --noconfirm -Sy

#Build dependencies
RUN pacman --noconfirm -S sudo cmake git coreutils base-devel eigen

#Dependencies from repos
RUN pacman --noconfirm -S qt5-base mbedtls

RUN echo "MAKEFLAGS=\"-j${nproc}\"" >> /etc/makepkg.conf

RUN useradd -ms /bin/bash checks-parser
RUN usermod -a -G wheel checks-parser

RUN echo "checks-parser ALL=(ALL) NOPASSWD:ALL" >> /etc/sudoers
USER checks-parser
WORKDIR /home/checks-parser

#Dependencies from sources
RUN git clone https://aur.archlinux.org/yay.git && \
    cd yay && \
    makepkg -si --noconfirm && \
    cd .. && sudo rm -rf yay

RUN yay -Sy --noconfirm gtkglext
RUN yay -S --noconfirm cpr opencv opencv2 nlohmann-json tesseract tesseract-data-rus

#building
WORKDIR /home/checks-parser
RUN git clone https://git.foxarmy.org/leca/checks-parser && \
    cd checks-parser && \
    mkdir build && cd build && \
    cmake .. && \
    make -j ${nproc} && \
    sudo make install

ENTRYPOINT ["checks-parser"]
